   /*This file is part of KnowMore.org Firefox Extension.

    KnowMore.org Firefox Extension is free software: you can redistribute
    it and/or modify it under the terms of the GNU General Public License 
    as published by the Free Software Foundation, either version 3 of the 
    License, or (at your option) any later version.

    KnowMore.org Firefox Extension is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with KnowMore.org Firefox Extension.  If not, see <http://www.gnu.org/licenses/>.*/

this.KnowMore = this.KnowMore || {};

/**
 * KnowMore.log debug bit
 */
KnowMore.Debug = false;

KnowMore.nsIConsoleService = Components.classes["@mozilla.org/consoleservice;1"].getService(Components.interfaces.nsIConsoleService);

/**
* log a message to the error console.
*/
KnowMore.log = function(){
    if (!KnowMore.Debug)
        return;
    var s = 'KnowMore: ';
    for (var i=0; i<arguments.length; i++){
        s += arguments[i] +"\n";
    }
    KnowMore.nsIConsoleService.logStringMessage(s);
}

/**
 * Turn debugging comments on/off
 */
KnowMore.setDebug = function(bool) {
    if (bool) { KnowMore.Debug = true;
    } else { KnowMore.Debug = false; }
    
    return;
}
